org.apache.hadoop.yarn.api.protocolrecords

## Class GetQueueInfoResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class GetQueueInfoResponse
      extends Object

  The response sent by the `ResourceManager` to a client requesting information about queues in the system.

  The response includes a `QueueInfo` which has details such as queue name, used/total capacities, running applications, child queues etc.

  See Also:
    `QueueInfo`, `ApplicationClientProtocol.getQueueInfo(GetQueueInfoRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetQueueInfoResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract QueueInfo` | `getQueueInfo()` Get the `QueueInfo` for the specified queue.
    `static GetQueueInfoResponse` | `newInstance(QueueInfo queueInfo)`
    `abstract void` | `setQueueInfo(QueueInfo queueInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetQueueInfoResponse

          public GetQueueInfoResponse()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static GetQueueInfoResponse newInstance(QueueInfo queueInfo)

    - #### getQueueInfo

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract QueueInfo getQueueInfo()

      Get the `QueueInfo` for the specified queue.
      Returns:
        `QueueInfo` for the specified queue

    - #### setQueueInfo

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setQueueInfo(QueueInfo queueInfo)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.